# Set-RASPowerPermission.md

## NAME

Set-RASPowerPermission

## SYNOPSIS

Modifies the permissions of a RAS Power admin account.

## SYNTAX

\*\*Set-RASPowerPermission \[[AdminId](#adminid-string)] *(uint)* \[[AllowAllSites](#allowallsites-string) *(bool)*] \[[AllowConnectionChanges](#allowconnectionchanges-string) *(bool)*] \[[AllowDeviceManagementChanges](#allowdevicemanagementchanges-string) *(bool)*] \[-[AllowInSiteIds](#AllowInSiteIds) *(uint\[])*] \[-[AllowInSites](#AllowInSites) *(*[*Site\[\]*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site.md)*)*] \[[AllowPolicyChanges](#allowpolicychanges-string) *(bool)*] \[[AllowPublishingChanges](#allowpublishingchanges-string) *(bool)*] \[[AllowSessionManagement](#allowsessionmanagement-string) *(bool)*] \[[AllowSiteChanges](#allowsitechanges-string) *(bool)*] \[[AllowViewingLicenseInfo](#allowviewinglicenseinfo-string) *(bool)*] \[[AllowViewingMonitoringInfo](#allowviewingmonitoringinfo-string) *(bool)*] \[[AllowViewingPolicyInfo](#allowviewingpolicyinfo-string) *(bool)*] \[[AllowViewingReportingInfo](#allowviewingreportinginfo-string) *(bool)*] \[[AllowViewingSiteInfo](#allowviewingsiteinfo-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the permissions of a RAS Power admin account.

For each setting, the cmdlet has a corresponding input parameter. To modify a setting, specify a corresponding parameter and its value.

## PARAMETERS

## AdminId (uint)

Admin ID to retrieve the specified RAS Power Administrator Account.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowSiteChanges (bool)

Enable or disable the "Allow Site changes" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowPublishingChanges (bool)

Enable or disable the "Allow Publishing changes" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowConnectionChanges (bool)

Enable or disable the "Allow Connection changes" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowViewingReportingInfo (bool)

Enable or disable the "Allow viewing of RAS Reporting" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowViewingMonitoringInfo (bool)

Enable or disable the "Allow viewing of RAS Monitoring" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowViewingLicenseInfo (bool)

Enable or disable the "Allow viewing of License Information" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowViewingSiteInfo (bool)

Enable or disable the "Allow viewing of Site Information" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowViewingPolicyInfo (bool)

Enable or disable the "Allow viewing of Policy Information" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowSessionManagement (bool)

Enable or disable the "Allow Session Management" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowDeviceManagementChanges (bool)

Enable or disable the "Allow Device Management changes" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowPolicyChanges (bool)

Enable or disable the "Allow Policy changes" option.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowAllSites (bool)

Enable or disable the "All Sites" option. If enabled, the administrator can manage all sites in the farm. Otherwise, sites can be specified individually.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowInSites ([Site\[\]](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site.md))

A list of sites (a Site array) which the administrator should be allowed to manage.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllowInSiteIds (uint\[])

A list of site ids (an integer array) which the administrator should be allowed to manage.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASPowerPermission -AdminId 100 -AllowSiteChanges $false

Modifies AllowSiteChanged for AdminId 100 to False.\
\*\*---------- EXAMPLE 2 ----------

Set-RASPowerPermission -AdminId 100 -AllowConnectionChanges $false

Modifies AllowConnectionChanges for AdminId 100 to False.

## RELATED LINKS

* [Get-RASPowerPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspowerpermission.md)
* [Get-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasadminaccount.md)
* [New-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasadminaccount.md)
* [Set-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasadminaccount.md)
* [Remove-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasadminaccount.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspowerpermission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
